<?php

namespace Drupal\Tests\activitypub\Functional;

use Drupal\language\Entity\ConfigurableLanguage;

/**
 * Tests Follow functionality with language.
 *
 * @group activitypub
 */
class FollowLocalizedTest extends FollowTest {

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'activitypub',
    'activitypub_test',
    'webfinger',
    'nodeinfo',
    'page_cache',
    'dblog',
    'block',
    'node',
    'user',
    'language',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    $this->setupLanguage('es');
  }

  /**
   * Test follow functionality.
   */
  public function testFollow() {
    $this->testFollowHelper();
  }

}
